Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Thu, 18 Oct 2018 14:48:21 +0200

I donʼt use the menu-bar, so I can't speak to the functionality, but
various documentation nits below. (menu-bar? menubar? menu bar? Iʼm
not sure what the consensus is there)

Vivek Dasmohapatra <[email-masked]> writes:

> featurep guards added, defcustom setting emacs version bumped.
>
>
> From 489a38cceda02e62dc50367347930713f4454f95 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Vivek=20Das=C2=A0Mohapatra?= <[email-masked]>
> Date: Thu, 11 Oct 2018 13:48:47 +0100
> Subject: [PATCH 2/3] Document the new menu-bar-scrollbar frame parameter
>
> ---
>  doc/lispref/frames.texi | 21 +++++++++++++++++++++
>  1 file changed, 21 insertions(+)
>
> diff --git a/doc/lispref/frames.texi b/doc/lispref/frames.texi
> index 2f9bb39886..601749d97e 100644
> --- a/doc/lispref/frames.texi
> +++ b/doc/lispref/frames.texi
> @@ -601,6 +601,10 @@ Frame Layout
>  frame unchanged, so the native height of the frame (see below) will
>  change instead.
>  
> +If the menu bar is drawn by GTK then its behavior when it would grow
> +wider than the root frame is controlled by the @code{menu-bar-scrollbar}
> +parameter (@pxref{Layout Parameters}).
> +

What is the 'root frame'? Surely the only frame that matters is the
one displaying the menu bar?

>  @item Tool Bar
>  @cindex internal tool bar
>  @cindex external tool bar
> @@ -1814,6 +1818,23 @@ Layout Parameters
>  (@pxref{Frame Geometry}) allows to derive whether the menu bar actually
>  occupies one or more lines.
>  
> +@vindex menu-bar-scrollbar@r{, a frame parameter}
> +@item menu-bar-scrollbar
> +The behavior of GTK menu bars when they would otherwise grow wider than
> +the frame.  Valid values are:
> +@itemize
> +@item @code{always} - Scrollbar is present, menu bar scrolls when
> too wide.

'Scrollbar is always shown' perhaps.

What does 'menu bar scrolls when too wide' mean? If the menu bar is
too wide to be displayed entirely, then the user has to take some
action to see the hidden items. This phrase seems to imply some kind
of automatic behaviour.

> +@item @code{automatic} - Scrollbar appears when menubar grows too
> wide.

'Scrollbar is shown when menubar grows too wide.'

> +@item @code{forced-resize} - No scrollbar.  Growing menubar forces a frame resize.
> +@item @code{nil} (or any other value)

Iʼd drop the 'any other value' portion, so as not to constrain any
future changes. Also I think this is the one time where you use
'menubar' rather than 'menu bar'.

> +@itemize
> +@item GTK >= 3.16 - No scrollbar.  Menu bar is truncated if it grows too wide.
> +@item GTK < 3,16 - Same behavior as @code{forced-resize}.

'3.16' rather than '3,16'

> +@end itemize
> +@end itemize
> +It is worth noting that for GTK before 3.16 the scrollbar adds a significant
> +amount of vertical padding to the menubar: This appears to be unavoidable.
> +

Iʼd write 'this' rather than 'This': itʼs not a separate sentence.